org.apache.maven.scm.provider.perforce.command

## Class AbstractPerforceConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

Direct Known Subclasses:
  PerforceCheckOutConsumer, PerforceEditConsumer, PerforceLoginConsumer, PerforceRemoveConsumer, PerforceStatusConsumer, PerforceTagConsumer, PerforceUnEditConsumer

    public abstract class AbstractPerforceConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: AbstractPerforceConsumer.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  mperham

### Field Summary

Fields
`protected PrintWriter` `output`

### Constructor Summary

Constructors
Constructor and Description
`AbstractPerforceConsumer()`

### Method Summary

Methods
`String` `getOutput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.util.cli.StreamConsumer

`consumeLine`

### Field Detail

#### output

    protected PrintWriter output

### Constructor Detail

#### AbstractPerforceConsumer

    public AbstractPerforceConsumer()

### Method Detail

#### getOutput

    public String getOutput()